﻿using System;
using XingAPINet;

class Program
{
    static void Main(string[] args)
    {
        if (args.Length == 1)
        {
            Console.WriteLine("Use SQLite");
            SqliteExtension.UseSqlite("test.sqlite");
        }

        Test(true);
    }

    static void Test(bool useDemoServer)
    {
        LoginInfo user = LoginInfo.FromPlainText("...id...", "...password...",
                "...인증서 password..."); // 만약 demo 서버 접속이라면 인증서 계정은 필요 없습니다.

        using (XingClient xing = new XingClient(useDemoServer))
        {
            if (xing.ConnectWithLogin(user) == false)
            {
                Console.WriteLine(xing.ErrorMessage);
                return;
            }

            {
                XQt0167OutBlock outBlock = XQt0167.Get();
                outBlock.Dump(Console.Out, DumpOutputType.FormattedKeyValue);

                outBlock.WriteToDB(replace: false);
                // outBlock.WriteToDB(replace: true);
            }

            {
                XQt0167OutBlock outBlock = XQt0167.ReadFromDB();
                outBlock?.Dump(Console.Out, DumpOutputType.FormattedKeyValue);
            }
        }
    }
}
